Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class TaxInformation2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.TaxInformation2

    public class TaxInformation2
    extends java.lang.Object

Java class for TaxInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrTaxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
             <element name="CdtrTaxTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
             <element name="DbtrTaxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
             <element name="TaxRefNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max140Text" minOccurs="0"/>
             <element name="TtlTaxblBaseAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount" minOccurs="0"/>
             <element name="TtlTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount" minOccurs="0"/>
             <element name="TaxDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate" minOccurs="0"/>
             <element name="TaxTpInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TaxDetails" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cdtrTaxId`
`protected java.lang.String` `cdtrTaxTp`
`protected java.lang.String` `dbtrTaxId`
`protected javax.xml.datatype.XMLGregorianCalendar` `taxDt`
`protected java.lang.String` `taxRefNb`
`protected java.util.List<TaxDetails>` `taxTpInf`
`protected CurrencyAndAmount` `ttlTaxAmt`
`protected CurrencyAndAmount` `ttlTaxblBaseAmt`

### Constructor Summary

Constructors
`TaxInformation2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCdtrTaxId()` Gets the value of the cdtrTaxId property.
`java.lang.String` `getCdtrTaxTp()` Gets the value of the cdtrTaxTp property.
`java.lang.String` `getDbtrTaxId()` Gets the value of the dbtrTaxId property.
`javax.xml.datatype.XMLGregorianCalendar` `getTaxDt()` Gets the value of the taxDt property.
`java.lang.String` `getTaxRefNb()` Gets the value of the taxRefNb property.
`java.util.List<TaxDetails>` `getTaxTpInf()` Gets the value of the taxTpInf property.
`CurrencyAndAmount` `getTtlTaxAmt()` Gets the value of the ttlTaxAmt property.
`CurrencyAndAmount` `getTtlTaxblBaseAmt()` Gets the value of the ttlTaxblBaseAmt property.
`void` `setCdtrTaxId​(java.lang.String value)` Sets the value of the cdtrTaxId property.
`void` `setCdtrTaxTp​(java.lang.String value)` Sets the value of the cdtrTaxTp property.
`void` `setDbtrTaxId​(java.lang.String value)` Sets the value of the dbtrTaxId property.
`void` `setTaxDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the taxDt property.
`void` `setTaxRefNb​(java.lang.String value)` Sets the value of the taxRefNb property.
`void` `setTtlTaxAmt​(CurrencyAndAmount value)` Sets the value of the ttlTaxAmt property.
`void` `setTtlTaxblBaseAmt​(CurrencyAndAmount value)` Sets the value of the ttlTaxblBaseAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtrTaxId

    protected java.lang.String cdtrTaxId

#### cdtrTaxTp

    protected java.lang.String cdtrTaxTp

#### dbtrTaxId

    protected java.lang.String dbtrTaxId

#### taxRefNb

    protected java.lang.String taxRefNb

#### ttlTaxblBaseAmt

    protected CurrencyAndAmount ttlTaxblBaseAmt

#### ttlTaxAmt

    protected CurrencyAndAmount ttlTaxAmt

#### taxDt

    protected javax.xml.datatype.XMLGregorianCalendar taxDt

#### taxTpInf

    protected java.util.List<TaxDetails> taxTpInf

### Constructor Detail

#### TaxInformation2

    public TaxInformation2()

### Method Detail

#### getCdtrTaxId

    public java.lang.String getCdtrTaxId()

Gets the value of the cdtrTaxId property.

Returns:
  possible object is `String`

#### setCdtrTaxId

    public void setCdtrTaxId​(java.lang.String value)

Sets the value of the cdtrTaxId property.

Parameters:
  `value` - allowed object is `String`

#### getCdtrTaxTp

    public java.lang.String getCdtrTaxTp()

Gets the value of the cdtrTaxTp property.

Returns:
  possible object is `String`

#### setCdtrTaxTp

    public void setCdtrTaxTp​(java.lang.String value)

Sets the value of the cdtrTaxTp property.

Parameters:
  `value` - allowed object is `String`

#### getDbtrTaxId

    public java.lang.String getDbtrTaxId()

Gets the value of the dbtrTaxId property.

Returns:
  possible object is `String`

#### setDbtrTaxId

    public void setDbtrTaxId​(java.lang.String value)

Sets the value of the dbtrTaxId property.

Parameters:
  `value` - allowed object is `String`

#### getTaxRefNb

    public java.lang.String getTaxRefNb()

Gets the value of the taxRefNb property.

Returns:
  possible object is `String`

#### setTaxRefNb

    public void setTaxRefNb​(java.lang.String value)

Sets the value of the taxRefNb property.

Parameters:
  `value` - allowed object is `String`

#### getTtlTaxblBaseAmt

    public CurrencyAndAmount getTtlTaxblBaseAmt()

Gets the value of the ttlTaxblBaseAmt property.

Returns:
  possible object is `CurrencyAndAmount`

#### setTtlTaxblBaseAmt

    public void setTtlTaxblBaseAmt​(CurrencyAndAmount value)

Sets the value of the ttlTaxblBaseAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

#### getTtlTaxAmt

    public CurrencyAndAmount getTtlTaxAmt()

Gets the value of the ttlTaxAmt property.

Returns:
  possible object is `CurrencyAndAmount`

#### setTtlTaxAmt

    public void setTtlTaxAmt​(CurrencyAndAmount value)

Sets the value of the ttlTaxAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

#### getTaxDt

    public javax.xml.datatype.XMLGregorianCalendar getTaxDt()

Gets the value of the taxDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setTaxDt

    public void setTaxDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the taxDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getTaxTpInf

    public java.util.List<TaxDetails> getTaxTpInf()

Gets the value of the taxTpInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the taxTpInf property.

For example, to add a new item, do as follows:

        getTaxTpInf().add(newItem);

Objects of the following type(s) are allowed in the list `TaxDetails`